Get a person crawl-run job status

View as Markdown

Returns the current state of an enqueued crawl-run job.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

OR
X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

jobIdstringRequiredformat: "uuid"
Crawl job UUID

Response

OK
createdAtdatetime
Job creation timestamp
jobIdstringformat: "uuid"
Unique job identifier
stateenum
Current job state
updatedAtdatetime
Job last update timestamp
domainstring or nullOptional
Registrable domain being crawled
failureReasonstring or nullOptional
Failure reason when the crawl failed

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error